[Résolu] Version 3.1.47 - Impossible de cocher de nouveaux paramètres

Installation & Configuration du logiciel
Avatar du membre
Flox
Administrateur du site
Messages : 4590
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.1.47 - Impossible de cocher de nouveaux paramètres

Message par Flox »

Si le problème n'est que pour l'installation de la mise à jour SQL du patch 3.1.45, vous pourrez exécuter ces requêtes via Phpmyadmin:

Code : Tout sélectionner

ALTER TABLE `trights` ADD `ticket_type_mandatory` INT(1) NOT NULL COMMENT 'Oblige la saisie du champ type dans le ticket' AFTER `ticket_type_service_limit`;
ALTER TABLE `trights` ADD `ticket_cat_mandatory` INT(1) NOT NULL COMMENT 'Oblige la saisie du champ catégorie' AFTER `ticket_cat_actions`;
ALTER TABLE `tusers` CHANGE `ip` `ip` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
ALTER TABLE `tassets_iface` CHANGE `ip` `ip` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
ALTER TABLE `tassets_network` CHANGE `network` `network` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
ALTER TABLE `tassets_network` CHANGE `netmask` `netmask` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;

ALTER TABLE `tparameters` ADD `mail_template` VARCHAR(50) NOT NULL AFTER `mail_newticket_address`;
UPDATE `tparameters` SET `mail_template`="default.htm";
UPDATE `tparameters` SET `mail_template`="default_place.htm" WHERE ticket_places='1';
GestSup: 3.2.0 | Debian: 10.3 | Apache: 2.4.41 | MariaDB: 10.4.12 | PHP: 7.4.3

sofianekaniber
Gsup LEVEL 3
Messages : 63
Enregistré le : jeu. 31 janv. 2019 15:56

Re: Version 3.1.47 - Impossible de cocher de nouveaux paramètres

Message par sofianekaniber »

Merci.
J'obtiens cette erreur :
Erreur

Requête SQL :


ALTER TABLE `trights` ADD `ticket_type_mandatory` INT(1) NOT NULL COMMENT 'Oblige la saisie du champ type dans le ticket' AFTER `ticket_type_service_limit`



MySQL a répondu : Documentation
#1060 - Nom du champ 'ticket_type_mandatory' déjà utilisé
GestSup: 3.1.48 | Windows 2012 | Apache: 2.4.37 | MariaDB: 10.3.12 | PHP: 7.3.1

Avatar du membre
Flox
Administrateur du site
Messages : 4590
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.1.47 - Impossible de cocher de nouveaux paramètres

Message par Flox »

Étrange essayer juste celles la :

Code : Tout sélectionner

ALTER TABLE `tparameters` ADD `mail_template` VARCHAR(50) NOT NULL AFTER `mail_newticket_address`;
UPDATE `tparameters` SET `mail_template`="default.htm";
UPDATE `tparameters` SET `mail_template`="default_place.htm" WHERE ticket_places='1';
GestSup: 3.2.0 | Debian: 10.3 | Apache: 2.4.41 | MariaDB: 10.4.12 | PHP: 7.4.3

sofianekaniber
Gsup LEVEL 3
Messages : 63
Enregistré le : jeu. 31 janv. 2019 15:56

Re: Version 3.1.47 - Impossible de cocher de nouveaux paramètres

Message par sofianekaniber »

ça marche !
J'arrive à cocher les paramètres maintenant.
Merci
GestSup: 3.1.48 | Windows 2012 | Apache: 2.4.37 | MariaDB: 10.3.12 | PHP: 7.3.1

Avatar du membre
Flox
Administrateur du site
Messages : 4590
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.1.47 - Impossible de cocher de nouveaux paramètres

Message par Flox »

c'est très étrange le script "update_3.1.44_to_3.1.45.sql" semble avoir été partiellement exécuté, je vous invite à verifier en base de données que les modifications suivantes ont bien été appliquées :

Code : Tout sélectionner

 ALTER TABLE `trights` ADD `ticket_cat_mandatory` INT(1) NOT NULL COMMENT 'Oblige la saisie du champ catégorie' AFTER `ticket_cat_actions`;
ALTER TABLE `tusers` CHANGE `ip` `ip` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
ALTER TABLE `tassets_iface` CHANGE `ip` `ip` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
ALTER TABLE `tassets_network` CHANGE `network` `network` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
ALTER TABLE `tassets_network` CHANGE `netmask` `netmask` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
GestSup: 3.2.0 | Debian: 10.3 | Apache: 2.4.41 | MariaDB: 10.4.12 | PHP: 7.4.3

sofianekaniber
Gsup LEVEL 3
Messages : 63
Enregistré le : jeu. 31 janv. 2019 15:56

Re: Version 3.1.47 - Impossible de cocher de nouveaux paramètres

Message par sofianekaniber »

Jobtiens cette erreur :
Erreur

Requête SQL :


ALTER TABLE `trights` ADD `ticket_cat_mandatory` INT(1) NOT NULL COMMENT 'Oblige la saisie du champ catégorie' AFTER `ticket_cat_actions`



MySQL a répondu : Documentation
#1060 - Nom du champ 'ticket_cat_mandatory' déjà utilisé
GestSup: 3.1.48 | Windows 2012 | Apache: 2.4.37 | MariaDB: 10.3.12 | PHP: 7.3.1

Avatar du membre
Flox
Administrateur du site
Messages : 4590
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.1.47 - Impossible de cocher de nouveaux paramètres

Message par Flox »

Ok cela semble Ok alors,

je vous avoue ne pas comprendre l'origine du problème, je vous conseille de réaliser les mises à jour en ligne de commande ou via le logiciel.
GestSup: 3.2.0 | Debian: 10.3 | Apache: 2.4.41 | MariaDB: 10.4.12 | PHP: 7.4.3

sofianekaniber
Gsup LEVEL 3
Messages : 63
Enregistré le : jeu. 31 janv. 2019 15:56

Re: [Résolu] Version 3.1.47 - Impossible de cocher de nouveaux paramètres

Message par sofianekaniber »

C'est n^oté.
Merci pour votre aide.
GestSup: 3.1.48 | Windows 2012 | Apache: 2.4.37 | MariaDB: 10.3.12 | PHP: 7.3.1

Répondre